PPI::Token::ArrayIndex(3)

NAME
PPI::Token::ArrayIndex - Token getting the last index for an array

INHERITANCE
  PPI::Token::ArrayIndex
  isa PPI::Token
      isa PPI::Element

DESCRIPTION
The "PPI::Token::ArrayIndex" token represents an attempt to get the last index of an array, such as $#array.

METHODS
There are no additional methods beyond those provided by the parent PPI::Token and PPI::Element classes.

Got any ideas for methods? Submit a report to rt.cpan.org!

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.